OGMINFO(1)

NAME
ogminfo - Print information about streams in OGG/OGM files

SYNOPSIS
ogminfo [options] inname

DESCRIPTION

This program lists all streams contained in an OGM including information about the codecs used.

inname
    Use 'inname' as the source.

-v, --verbose
    Be verbose and show each OGG packet. See the section 'VERBOSITY LEVELS' for details.

-s, --summary
    Will print a short summary for each stream including the total size in bytes, the bitrate, the number of packets/frames and the length in seconds. This requires the parsing of the complete file.

-h, --help
    Show usage information.

-V, --version
    Show version information.

VERBOSITY LEVELS

The -v option can be used to increase ogminfo's verbosity level and print more information about the current file.

level 0
    will print only the streams it finds and their types.

level 1
    will also print each stream's header and comment packets' contents. These two modes will not process the whole file (as opposed to all other modes) if the comment packets are placed correctly.

level 2
    will print a line for each OGG packet it encounters containing the stream the packet belongs to, the payload size, the packet's granulepos, the packet's number, its start time, its end time and several flags. The flags may include 'sync_ok' or 'OUT_OF_SYNC' which indicates whether the packet's placement in the file is correct according to its granulepos. Other flags are 'IS_SYNCPOINT' or 'EOS'.
    level 2 and above automatically imply --summary.

level 3
    also prints a line whenever a new OGG page was read completely along with the page's exact position in the file it was read from.

level 4
    will dump the complete stream_header structure found in the header packet for any non-Vorbis stream.

The levels 3 and 4 are intended for debugging purposes only.

NOTES
What works:

*   OGM with Vorbis audio, 'normal' video (like DivX etc.), audio streams (PCM, MP3 etc.), text streams (subtitles).

What not works:

*   Headers created by older OggDS (DirectShow) filter versions are not supported (and probably never will be).

AUTHOR
ogminfo was written by Moritz Bunkus <moritz@bunkus.org>.

SEE ALSO
ogmmerge(1), ogmsplit(1), ogmdemux(1), ogmcat(1), dvdxchap(1)

WWW
The newest version can always be found at <http://www.bunkus.org/videotools/ogmtools/> (http://www.bunkus.org/videotools/ogmtools/)